## ring 20180816.2.e26b79f~ds1

=== debian/changelog ===
ring (20180816.2.e26b79f~ds1-3) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Thu, 23 Aug 2018 19:43:53 -0400

ring (20180712.2.f3b87a6~ds1-2) unstable; urgency=medium

  * No longer depend on boost. (Closes: #904498)

 -- Alexandre Viau <aviau@debian.org>  Thu, 23 Aug 2018 16:08:06 -0400

ring (20180712.2.f3b87a6~ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 17 Jul 2018 18:25:52 -0400

ring (20180625.1.8dd3bf1~ds1-1) unstable; urgency=medium

  * Document build requirements. (Closes: #896648)
  * d/rules: --disable-upnp.

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Jun 2018 18:04:49 -0400

ring (20180419.1.01da897~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Switch to Ayatana AppIndicator. (Closes: #894651)

 -- Alexandre Viau <aviau@debian.org>  Thu, 19 Apr 2018 14:01:32 -0400

ring (20180414.2.2c51f89~ds1-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: ignore contrib/portable*
  * Build-Depend on libssl-dev.

 -- Alexandre Viau <aviau@debian.org>  Thu, 19 Apr 2018 10:55:00 -0400
