## ring 20180816.2.e26b79f~ds1-3%2B8.0trisquel1

=== debian/changelog ===
ring (20180816.2.e26b79f~ds1-3+8.0trisquel1) flidas; urgency=medium

  * Backported from cosmic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 09 Oct 2018 03:02:35 +0000
