=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	mkdir -p daemon/contrib/native
 	cd daemon/contrib/native && \
         ../bootstrap \
-				--disable-downloads \
+				--disable-downloads --disable-nettle \
 				--no-checksums \
 				--disable-ogg \
 				--disable-flac \
