=== lrc/CMakeLists.txt ===
--- 
+++ 
@@ -79,6 +79,7 @@
 FIND_PACKAGE(Qt5Core REQUIRED)
 FIND_PACKAGE(Qt5LinguistTools) # translations
 FIND_PACKAGE(Qt5Sql REQUIRED)
+FIND_PACKAGE(Qt5Gui REQUIRED)
 
 IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT ENABLE_LIBWRAP)
    FIND_PACKAGE(Qt5DBus)
@@ -435,4 +436,3 @@
   src/collectioninterface.h
   src/collectioninterface.hpp
   src/categorizedbookmarkmodel.h
-  src/credentialmodel.h
