## ring 20180920.1.8ee9317

=== client-macosx/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 ENDIF("${RING_VERSION}" STREQUAL "")
 # if build for App Store version and build number should be incremented
 IF("${RELEASE_TYPE}" STREQUAL "AppStore")
-   SET(RING_VERSION_NAME "1.2")
+   SET(RING_VERSION_NAME "1.3")
 ELSE()
    SET(RING_VERSION_NAME "Live Free or Die")
 ENDIF()
